
/*---------------------- areas_sec ----------------------*/
.areas_sec {
    margin-top: var(--sec-gap);
    border-top: 1px solid var(--line);
    border-bottom: 1px solid var(--line);
    display: flex;
}
.areas_sec > * {
    width: 50%;
}
.areas_l {
    padding-left: calc((100% - var(--container-lg)) / 2);
}
.areas_l_inner {
    width: 100%;
    height: 100%;
    padding: 170px 0 80px;
    border-left: 1px solid var(--line);
    border-right: 1px solid var(--line);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.areas_l_inner .sec_box {
    padding: 0 60px 60px;
    border-bottom: 1px solid var(--line)
}

.areas_text_box {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.areas_swiper {
    width: 100%;
    overflow: hidden;
}
.areas_box {
    padding: 100px 60px 60px;
}
.areas_eng {
    font-size: var(--ft14);
    font-weight: var(--semi-bold);
    color: var(--primary);
}
.areas_title {
    margin-top: 12px;
    margin-bottom: 20px;
    font-size: var(--ft24);
    font-weight: var(--semi-bold);
    color: var(--gray-500);
}
.areas_text {
    font-size: var(--ft18);
    color: var(--gray-500);
}

.areas_btm {
    padding: 0 60px;
    display: flex;
    align-items: center;
    gap: 32px;
}
.swiper_btn_box {
    display: flex;
    justify-content: center;
    align-items: center;
}
.swiper_num {
    width: 80px;
    text-align: center;
}
.swiper_num,
.swiper_num * {
    font-size: var(--ft16);
    color: var(--gray-500);
}
.swiper_num .swiper-pagination-current {
    color: var(--gray-600);
    font-weight: var(--semi-bold);
}
.swiper_btn {
    width: 28px;
    height: 28px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.swiper_btn img {
    width: 16px;
    height: 16px;
}
.swiper-pagination {
    width: 100%;
    height: 4px;
    border-radius: 2px;
    background-color: var(--gray-200);
    position: relative;
}
.swiper-pagination .swiper-pagination-progressbar-fill {
    background-color: var(--primary);
}

.areas_r {
    padding: 20px;
}
.areas_img_box {
    width: 100%;
    height: 100%;
    background-color: var(--primary-bg);
    border-radius: var(--radius);
    overflow: hidden;
    position: relative;
}
.areas_img {
    width: 100%;
    height: 100%;
}
.areas_pin {
    position: absolute;
}
.areas_pin .pin {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: var(--white-800);
    border: 1px solid var(--white);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.areas_pin .pin::before {
    content: '';
    display: block;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: var(--primary);
    transform: scale(0);
    transition: transform .4s ease;
}
.areas_pin.active .pin::before {
    transform: scale(1);
}
.areas_img_info {
    width: fit-content;
    border-radius: 40px;
    background-color: var(--gray-600);
    padding: 16px 20px;
    display: flex;
    align-items: center;
    gap: 12px;
    position: absolute;
    bottom: 36px;
    left: 0;
    right: 0;
    margin: 0 auto;
    font-size: var(--ft16);
    font-weight: var(--medium);
    color: var(--white);
    animation: imgInfo .8s infinite alternate;
}
@keyframes imgInfo {
    to {
        transform: translateY(-8px);
    }
}
.areas_img_info::before {
    content: '';
    display: block;
    width: 16px;
    height: 16px;
    background: url(/images/icon/mouse.svg) no-repeat center / contain;
}

.pin_text {
    margin-top: 6px;
    padding: 2px 8px;
    border-radius: var(--radius);
    background-color: var(--white);
    text-align: center;
    font-size: var(--ft14);
    font-weight: var(--medium);
    color: var(--primary);
    text-wrap: nowrap;
    position: absolute;
    left: 50%;
    transform: translateX(-50%) translateY(4px);
    opacity: 0;
    transition: transform .4s ease, opacity .4s ease;
    pointer-events: none;
}
.areas_pin:hover .pin_text  {
    opacity: 1;
    transform: translateX(-50%) translateY(0);
    pointer-events: all;
}


@media all and (max-width: 1400px) {
    .areas_l_inner {
        padding-top: 100px;
    }
}

@media all and (max-width: 1024px) {
    .areas_sec {
        flex-direction: column;
        border-top: none;
    }
    .areas_sec > * {
        width: 100%;
    }
    .areas_l_inner {
        border: none;
        padding-top: 0;
        padding-bottom: 40px;
    }
    .areas_l_inner .sec_box {
        padding: 0 40px 40px;
    }
    .swiper-backface-hidden .swiper-slide {
        padding: 40px;
    }
    .areas_btm {
        padding: 0 40px;
    }
    .areas_r {
        padding: 0;
        padding-top: 40px;
        background-color: var(--primary-bg);
    }
    .areas_img_box {
        max-width: 500px;
        margin: 0 auto;
    }
    .areas_pin .pin {
        width: 18px;
        height: 18px;
    }
    .areas_pin .pin::before {
        width: 10px;
        height: 10px;
    }
    .pin_text {
        font-size: var(--ft12);
    }
    .areas_img_info::before {
        width: 12px;
        height: 12px;
    }
    .areas_img_info {
        padding: 12px 16px;
        font-size: var(--ft13);
        bottom: 12px;
    }
}

@media all and (max-width: 768px) {
    .areas_l_inner {
        padding-bottom: 10px;
    }
    .areas_l_inner .sec_box {
        padding: 0 20px 20px;
    }
    .swiper-backface-hidden .swiper-slide {
        padding: 32px 20px 20px;
    }
    .areas_btm {
        padding: 0 20px;
        gap: 20px;
    }
    .areas_title {
        margin-bottom: 12px;
        font-size: var(--ft20);
    }
    .swiper_num {
        width: 50px;
    }
    .areas_r {
        padding-top: 20px;
    }
}